Loading...
Searching...
No Matches
<tt>mkgeo_grid</tt>

structured mesh of a parallelepiped

## Synopsis

    mkgeo_grid [options] [nx [ny [nz]]]

## Examples

The following command build a triangular based 2d 10x10 grid of the unit square:

        mkgeo_grid -t 10 > square-10.geo
        geo square-10.geo

or in one command line:

        mkgeo_grid -t 10 | geo -

## Description

This command is useful when testing programs on simple geometries. It avoid the preparation of an input file for a mesh generator. The optional nx, ny and nz arguments are integer that specifies the subdivision in each direction. By default nx=10, ny=nx and nz=ny. The mesh files goes on standard output.

The command supports all the possible element types: edges, triangles, rectangles, tetrahedra, prisms and hexahedra.

## Element type option

`-e`

> ‍ 1d mesh using edges.

`-t`

> ‍ 2d mesh using triangles.

`-q`

> ‍ 2d mesh using quadrangles (rectangles).

`-T`

> ‍ 3d mesh using tetrahedra.

`-P`

> ‍ 3d mesh using prisms.

`-H`

> ‍ 3d mesh using hexahedra.

## The geometry

`-a` float
`-b` float
`-c` float
`-d` float
`-f` float
`-g` float

> ‍ The geometry can be any [a,b] segment, [a,b]x[c,d] rectangle or [a,b]x[c,d]x[f,g] parallelepiped. By default a=c=f=0 and b=d=g=1, thus, the unit boxes are considered.

For instance, the following command meshes the [-2,2]x[-1.5, 1.5] rectangle:

        mkgeo_grid -t 10 -a -2 -b 2 -c -1.5 -d 1.5 | geo -

## Boundary domains

`-[no]sides`

> ‍ The boundary sides are represented by domains: `left`, `right`, `top`, `bottom`, `front` and `back`.

`-[no]boundary`

> ‍ This option defines a domain named `boundary` that groups all sides.

By default, both sides and the whole boundary are defined as domains:

        mkgeo_grid -t 10 -nosides | geo -
        mkgeo_grid -t 10 -noboundary | geo -
        mkgeo_grid -t 10 -noboundary -nosides | geo -

## Regions

`-[no]region`

> ‍ The whole domain is split into two subdomains: `east` and `west`. Also, the separating domain is named `interface` in the mesh. This option is used for testing computations with subdomains (e.g. transmission problem; see User's guide ).

Example:

        mkgeo_grid -t 10 -region | geo -

## Corners

`-[no]corner`

> ‍ The corners (four in 2D and eight in 3D) are defined as OD-domains. This could be useful for some special boundary conditions.

Example:

        mkgeo_grid -t 10 -corner | geo -
        mkgeo_grid -T  5 -corner | geo -

## Coordinate system options

`-cartesian`
`-rz`
`-zr`

> ‍ Specifies the coordinate system. The default is `cartesian` while `-rz` and `-zr` denotes some axisymmetric coordinate systems. Recall that most of Rheolef codes are coordinate-system independent and the coordinate system is specified in the geometry file `.geo`.

## Implementation

This documentation has been generated from file main/sbin/mkgeo_grid.sh